diff --git a/binder_test.go b/binder_test.go
index 39117c9..39adca4 100644
--- a/binder_test.go
+++ b/binder_test.go
@@ -9,7 +9,7 @@ import (
 	"strings"
 	"testing"
 
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/context.go b/context.go
index 4939236..9b6db86 100644
--- a/context.go
+++ b/context.go
@@ -12,12 +12,12 @@ import (
 	"path/filepath"
 	"time"
 
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 
 	"bytes"
 
-	gcontext "github.com/labstack/echo/context"
+	gcontext "github.com/labstack/echo.v2/context"
 )
 
 type (
diff --git a/context_test.go b/context_test.go
index a375d77..3a6a6a5 100644
--- a/context_test.go
+++ b/context_test.go
@@ -13,13 +13,13 @@ import (
 
 	"strings"
 
-	gcontext "github.com/labstack/echo/context"
+	gcontext "github.com/labstack/echo.v2/context"
 
 	"net/url"
 
 	"encoding/xml"
 
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/echo.go b/echo.go
index ac471a0..5eb37e4 100644
--- a/echo.go
+++ b/echo.go
@@ -8,9 +8,9 @@ Example:
 	import (
 	    "net/http"
 
-	    "github.com/labstack/echo"
-	    "github.com/labstack/echo/engine/standard"
-	    "github.com/labstack/echo/middleware"
+	    "github.com/labstack/echo.v2"
+	    "github.com/labstack/echo.v2/engine/standard"
+	    "github.com/labstack/echo.v2/middleware"
 	)
 
 	// Handler
@@ -48,9 +48,9 @@ import (
 	"runtime"
 	"sync"
 
-	gcontext "github.com/labstack/echo/context"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	gcontext "github.com/labstack/echo.v2/context"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 	glog "github.com/labstack/gommon/log"
 )
 
diff --git a/echo_test.go b/echo_test.go
index bf3f4aa..7b9be71 100644
--- a/echo_test.go
+++ b/echo_test.go
@@ -12,7 +12,7 @@ import (
 
 	"errors"
 
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2/test"
 	"github.com/labstack/gommon/log"
 	"github.com/stretchr/testify/assert"
 )
diff --git a/engine/engine.go b/engine/engine.go
index 0a8f240..012cdce 100644
--- a/engine/engine.go
+++ b/engine/engine.go
@@ -7,7 +7,7 @@ import (
 
 	"net"
 
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2/log"
 )
 
 type (
diff --git a/engine/fasthttp/cookie_test.go b/engine/fasthttp/cookie_test.go
index fb20bb5..532cd53 100644
--- a/engine/fasthttp/cookie_test.go
+++ b/engine/fasthttp/cookie_test.go
@@ -1,7 +1,7 @@
 package fasthttp
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	fast "github.com/valyala/fasthttp"
 	"testing"
 	"time"
diff --git a/engine/fasthttp/header_test.go b/engine/fasthttp/header_test.go
index 7e0fc0c..638f94c 100644
--- a/engine/fasthttp/header_test.go
+++ b/engine/fasthttp/header_test.go
@@ -1,7 +1,7 @@
 package fasthttp
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/stretchr/testify/assert"
 	fast "github.com/valyala/fasthttp"
 	"testing"
diff --git a/engine/fasthttp/request.go b/engine/fasthttp/request.go
index a14ac96..0b4b881 100644
--- a/engine/fasthttp/request.go
+++ b/engine/fasthttp/request.go
@@ -8,9 +8,9 @@ import (
 	"mime/multipart"
 	"net"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 	"github.com/valyala/fasthttp"
 )
 
diff --git a/engine/fasthttp/request_test.go b/engine/fasthttp/request_test.go
index 429865d..1353ce2 100644
--- a/engine/fasthttp/request_test.go
+++ b/engine/fasthttp/request_test.go
@@ -7,7 +7,7 @@ import (
 	"net/url"
 	"testing"
 
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/labstack/gommon/log"
 	fast "github.com/valyala/fasthttp"
 )
@@ -23,7 +23,7 @@ func (a fakeAddr) String() string {
 
 func TestRequest(t *testing.T) {
 	ctx := new(fast.RequestCtx)
-	url, _ := url.Parse("http://github.com/labstack/echo")
+	url, _ := url.Parse("http://github.com/labstack/echo.v2")
 	ctx.Init(&fast.Request{}, fakeAddr{addr: "127.0.0.1"}, nil)
 	ctx.Request.Read(bufio.NewReader(bytes.NewBufferString(test.MultipartRequest)))
 	ctx.Request.SetRequestURI(url.String())
diff --git a/engine/fasthttp/response.go b/engine/fasthttp/response.go
index 457a3a4..3c5b81e 100644
--- a/engine/fasthttp/response.go
+++ b/engine/fasthttp/response.go
@@ -6,8 +6,8 @@ import (
 	"io"
 	"net/http"
 
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 	"github.com/valyala/fasthttp"
 )
 
diff --git a/engine/fasthttp/server.go b/engine/fasthttp/server.go
index 37d738f..12ebe5e 100644
--- a/engine/fasthttp/server.go
+++ b/engine/fasthttp/server.go
@@ -5,9 +5,9 @@ package fasthttp
 import (
 	"sync"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 	glog "github.com/labstack/gommon/log"
 	"github.com/valyala/fasthttp"
 )
diff --git a/engine/fasthttp/server_test.go b/engine/fasthttp/server_test.go
index 70802f7..8110b17 100644
--- a/engine/fasthttp/server_test.go
+++ b/engine/fasthttp/server_test.go
@@ -5,8 +5,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/stretchr/testify/assert"
 	"github.com/valyala/fasthttp"
 )
diff --git a/engine/fasthttp/url_test.go b/engine/fasthttp/url_test.go
index 64524d4..24b2b76 100644
--- a/engine/fasthttp/url_test.go
+++ b/engine/fasthttp/url_test.go
@@ -1,7 +1,7 @@
 package fasthttp
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/stretchr/testify/assert"
 	fast "github.com/valyala/fasthttp"
 	"testing"
@@ -9,7 +9,7 @@ import (
 
 func TestURL(t *testing.T) {
 	uri := &fast.URI{}
-	uri.Parse([]byte("github.com"), []byte("/labstack/echo?param1=value1&param1=value2&param2=value3"))
+	uri.Parse([]byte("github.com"), []byte("/labstack/echo.v2?param1=value1&param1=value2&param2=value3"))
 	mUrl := &URL{uri}
 	test.URLTest(t, mUrl)
 
diff --git a/engine/standard/cookie_test.go b/engine/standard/cookie_test.go
index af839dd..0b244e7 100644
--- a/engine/standard/cookie_test.go
+++ b/engine/standard/cookie_test.go
@@ -1,7 +1,7 @@
 package standard
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"net/http"
 	"testing"
 	"time"
diff --git a/engine/standard/header_test.go b/engine/standard/header_test.go
index dd1deb1..0ded4f0 100644
--- a/engine/standard/header_test.go
+++ b/engine/standard/header_test.go
@@ -1,7 +1,7 @@
 package standard
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/stretchr/testify/assert"
 	"net/http"
 	"testing"
diff --git a/engine/standard/request.go b/engine/standard/request.go
index 3448d3c..4d5328c 100644
--- a/engine/standard/request.go
+++ b/engine/standard/request.go
@@ -9,9 +9,9 @@ import (
 	"net/http"
 	"strings"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 )
 
 type (
diff --git a/engine/standard/request_test.go b/engine/standard/request_test.go
index ce10f13..46bd893 100644
--- a/engine/standard/request_test.go
+++ b/engine/standard/request_test.go
@@ -7,14 +7,14 @@ import (
 	"strings"
 	"testing"
 
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/labstack/gommon/log"
 	"github.com/stretchr/testify/assert"
 )
 
 func TestRequest(t *testing.T) {
 	httpReq, _ := http.ReadRequest(bufio.NewReader(strings.NewReader(test.MultipartRequest)))
-	url, _ := url.Parse("http://github.com/labstack/echo")
+	url, _ := url.Parse("http://github.com/labstack/echo.v2")
 	httpReq.URL = url
 	httpReq.RemoteAddr = "127.0.0.1"
 	req := NewRequest(httpReq, log.New("echo"))
diff --git a/engine/standard/response.go b/engine/standard/response.go
index 8b24d5e..39c8208 100644
--- a/engine/standard/response.go
+++ b/engine/standard/response.go
@@ -6,8 +6,8 @@ import (
 	"net"
 	"net/http"
 
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 )
 
 type (
diff --git a/engine/standard/server.go b/engine/standard/server.go
index fb36486..9f0f537 100644
--- a/engine/standard/server.go
+++ b/engine/standard/server.go
@@ -7,9 +7,9 @@ import (
 	"sync"
 	"time"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/log"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/log"
 	glog "github.com/labstack/gommon/log"
 )
 
diff --git a/engine/standard/server_test.go b/engine/standard/server_test.go
index 3eec170..a1b10d4 100644
--- a/engine/standard/server_test.go
+++ b/engine/standard/server_test.go
@@ -6,8 +6,8 @@ import (
 	"net/http/httptest"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/engine/standard/url_test.go b/engine/standard/url_test.go
index 33d06c3..1f8e071 100644
--- a/engine/standard/url_test.go
+++ b/engine/standard/url_test.go
@@ -1,14 +1,14 @@
 package standard
 
 import (
-	"github.com/labstack/echo/engine/test"
+	"github.com/labstack/echo.v2/engine/test"
 	"github.com/stretchr/testify/assert"
 	"net/url"
 	"testing"
 )
 
 func TestURL(t *testing.T) {
-	u, _ := url.Parse("https://github.com/labstack/echo?param1=value1&param1=value2&param2=value3")
+	u, _ := url.Parse("https://github.com/labstack/echo.v2?param1=value1&param1=value2&param2=value3")
 	mUrl := &URL{u, nil}
 	test.URLTest(t, mUrl)
 
diff --git a/engine/test/test_helpers.go b/engine/test/test_helpers.go
index f7d40dc..d9a28a3 100644
--- a/engine/test/test_helpers.go
+++ b/engine/test/test_helpers.go
@@ -4,7 +4,7 @@ import (
 	"testing"
 	"time"
 
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/engine/test/test_request.go b/engine/test/test_request.go
index 3edebac..23e3dbd 100644
--- a/engine/test/test_request.go
+++ b/engine/test/test_request.go
@@ -5,11 +5,11 @@ import (
 	"strings"
 	"testing"
 
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/stretchr/testify/assert"
 )
 
-const MultipartRequest = `POST /labstack/echo HTTP/1.1
+const MultipartRequest = `POST /labstack/echo.v2 HTTP/1.1
 Host: github.com
 Connection: close
 User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; de-de) AppleWebKit/523.10.3 (KHTML, like Gecko) Version/3.0.4 Safari/523.10
@@ -43,9 +43,9 @@ func RequestTest(t *testing.T, request engine.Request) {
 	assert.Equal(t, "github.com", request.Host())
 	request.SetHost("labstack.com")
 	assert.Equal(t, "labstack.com", request.Host())
-	request.SetURI("/labstack/echo?token=54321")
-	assert.Equal(t, "/labstack/echo?token=54321", request.URI())
-	assert.Equal(t, "/labstack/echo", request.URL().Path())
+	request.SetURI("/labstack/echo.v2?token=54321")
+	assert.Equal(t, "/labstack/echo.v2?token=54321", request.URI())
+	assert.Equal(t, "/labstack/echo.v2", request.URL().Path())
 	assert.Equal(t, "https://github.com/", request.Referer())
 	assert.Equal(t, "192.168.1.1", request.Header().Get("X-Real-IP"))
 	assert.Equal(t, "http", request.Scheme())
diff --git a/middleware/basic_auth.go b/middleware/basic_auth.go
index b355f35..cb45c79 100644
--- a/middleware/basic_auth.go
+++ b/middleware/basic_auth.go
@@ -3,7 +3,7 @@ package middleware
 import (
 	"encoding/base64"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/basic_auth_test.go b/middleware/basic_auth_test.go
index fac0cbd..6336ba1 100644
--- a/middleware/basic_auth_test.go
+++ b/middleware/basic_auth_test.go
@@ -5,8 +5,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/body_limit.go b/middleware/body_limit.go
index 6bcf522..8dce5ef 100644
--- a/middleware/body_limit.go
+++ b/middleware/body_limit.go
@@ -5,7 +5,7 @@ import (
 	"io"
 	"sync"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 	"github.com/labstack/gommon/bytes"
 )
 
diff --git a/middleware/body_limit_test.go b/middleware/body_limit_test.go
index edd9cda..d1ecd5b 100644
--- a/middleware/body_limit_test.go
+++ b/middleware/body_limit_test.go
@@ -6,8 +6,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/compress.go b/middleware/compress.go
index 78e67c9..007d8bf 100644
--- a/middleware/compress.go
+++ b/middleware/compress.go
@@ -8,8 +8,8 @@ import (
 	"strings"
 	"sync"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
 )
 
 type (
diff --git a/middleware/compress_test.go b/middleware/compress_test.go
index 7bf0519..318fda8 100644
--- a/middleware/compress_test.go
+++ b/middleware/compress_test.go
@@ -6,8 +6,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/cors.go b/middleware/cors.go
index 69300c4..58401bc 100644
--- a/middleware/cors.go
+++ b/middleware/cors.go
@@ -5,7 +5,7 @@ import (
 	"strconv"
 	"strings"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/cors_test.go b/middleware/cors_test.go
index 846c4b3..54fcda0 100644
--- a/middleware/cors_test.go
+++ b/middleware/cors_test.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/csrf.go b/middleware/csrf.go
index 543948f..1feab69 100644
--- a/middleware/csrf.go
+++ b/middleware/csrf.go
@@ -7,7 +7,7 @@ import (
 	"strings"
 	"time"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 	"github.com/labstack/gommon/random"
 )
 
diff --git a/middleware/csrf_test.go b/middleware/csrf_test.go
index a367642..473e114 100644
--- a/middleware/csrf_test.go
+++ b/middleware/csrf_test.go
@@ -6,8 +6,8 @@ import (
 	"strings"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/labstack/gommon/random"
 	"github.com/stretchr/testify/assert"
 )
diff --git a/middleware/jwt.go b/middleware/jwt.go
index ba58135..eebcbbd 100644
--- a/middleware/jwt.go
+++ b/middleware/jwt.go
@@ -8,7 +8,7 @@ import (
 	"strings"
 
 	"github.com/dgrijalva/jwt-go"
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/jwt_test.go b/middleware/jwt_test.go
index 302b9f9..7df8962 100644
--- a/middleware/jwt_test.go
+++ b/middleware/jwt_test.go
@@ -5,8 +5,8 @@ import (
 	"testing"
 
 	"github.com/dgrijalva/jwt-go"
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/logger.go b/middleware/logger.go
index d588f81..c510119 100644
--- a/middleware/logger.go
+++ b/middleware/logger.go
@@ -8,7 +8,7 @@ import (
 	"sync"
 	"time"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 	"github.com/labstack/gommon/color"
 	isatty "github.com/mattn/go-isatty"
 	"github.com/valyala/fasttemplate"
diff --git a/middleware/logger_test.go b/middleware/logger_test.go
index d8e3083..32772d5 100644
--- a/middleware/logger_test.go
+++ b/middleware/logger_test.go
@@ -6,8 +6,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/method_override.go b/middleware/method_override.go
index 156fac5..1c31ca4 100644
--- a/middleware/method_override.go
+++ b/middleware/method_override.go
@@ -1,6 +1,6 @@
 package middleware
 
-import "github.com/labstack/echo"
+import "github.com/labstack/echo.v2"
 
 type (
 	// MethodOverrideConfig defines the config for MethodOverride middleware.
diff --git a/middleware/method_override_test.go b/middleware/method_override_test.go
index 964ed1a..ce6e8d8 100644
--- a/middleware/method_override_test.go
+++ b/middleware/method_override_test.go
@@ -5,8 +5,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/middleware.go b/middleware/middleware.go
index bf3e07c..2026618 100644
--- a/middleware/middleware.go
+++ b/middleware/middleware.go
@@ -1,6 +1,6 @@
 package middleware
 
-import "github.com/labstack/echo"
+import "github.com/labstack/echo.v2"
 
 type (
 	// Skipper defines a function to skip middleware. Returning true skips processing
diff --git a/middleware/recover.go b/middleware/recover.go
index 15a1e3b..9bd50e6 100644
--- a/middleware/recover.go
+++ b/middleware/recover.go
@@ -4,7 +4,7 @@ import (
 	"fmt"
 	"runtime"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 	"github.com/labstack/gommon/color"
 )
 
diff --git a/middleware/recover_test.go b/middleware/recover_test.go
index 878c414..646104a 100644
--- a/middleware/recover_test.go
+++ b/middleware/recover_test.go
@@ -5,8 +5,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/redirect.go b/middleware/redirect.go
index 43863c7..4c57dd3 100644
--- a/middleware/redirect.go
+++ b/middleware/redirect.go
@@ -3,7 +3,7 @@ package middleware
 import (
 	"net/http"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/redirect_test.go b/middleware/redirect_test.go
index 1da64fd..e13207c 100644
--- a/middleware/redirect_test.go
+++ b/middleware/redirect_test.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/secure.go b/middleware/secure.go
index 0dc42aa..6cb9c2f 100644
--- a/middleware/secure.go
+++ b/middleware/secure.go
@@ -3,7 +3,7 @@ package middleware
 import (
 	"fmt"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/secure_test.go b/middleware/secure_test.go
index dabdb65..77b1302 100644
--- a/middleware/secure_test.go
+++ b/middleware/secure_test.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/slash.go b/middleware/slash.go
index ccd9498..5aac9e9 100644
--- a/middleware/slash.go
+++ b/middleware/slash.go
@@ -1,7 +1,7 @@
 package middleware
 
 import (
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/slash_test.go b/middleware/slash_test.go
index 084703d..f93cd0d 100644
--- a/middleware/slash_test.go
+++ b/middleware/slash_test.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/middleware/static.go b/middleware/static.go
index 1aed32d..1da5dee 100644
--- a/middleware/static.go
+++ b/middleware/static.go
@@ -6,7 +6,7 @@ import (
 	"path"
 	"strings"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/middleware/static_test.go b/middleware/static_test.go
index b1ce664..b2d4994 100644
--- a/middleware/static_test.go
+++ b/middleware/static_test.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"testing"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/test"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/test"
 	"github.com/stretchr/testify/assert"
 )
 
diff --git a/recipe/cors/server.go b/recipe/cors/server.go
index e3cadb6..128cfb1 100644
--- a/recipe/cors/server.go
+++ b/recipe/cors/server.go
@@ -3,9 +3,9 @@ package main
 import (
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 var (
diff --git a/recipe/crud/server.go b/recipe/crud/server.go
index f92c310..74c194e 100644
--- a/recipe/crud/server.go
+++ b/recipe/crud/server.go
@@ -4,9 +4,9 @@ import (
 	"net/http"
 	"strconv"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 type (
diff --git a/recipe/embed-resources/server.go b/recipe/embed-resources/server.go
index e923194..2eecbae 100644
--- a/recipe/embed-resources/server.go
+++ b/recipe/embed-resources/server.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 
 	"github.com/GeertJohan/go.rice"
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 )
 
 func main() {
diff --git a/recipe/file-upload/multiple/server.go b/recipe/file-upload/multiple/server.go
index f9d31ff..8209a93 100644
--- a/recipe/file-upload/multiple/server.go
+++ b/recipe/file-upload/multiple/server.go
@@ -7,9 +7,9 @@ import (
 
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func upload(c echo.Context) error {
diff --git a/recipe/file-upload/single/server.go b/recipe/file-upload/single/server.go
index cc59ea5..c471413 100644
--- a/recipe/file-upload/single/server.go
+++ b/recipe/file-upload/single/server.go
@@ -7,9 +7,9 @@ import (
 
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func upload(c echo.Context) error {
diff --git a/recipe/google-app-engine/app-engine.go b/recipe/google-app-engine/app-engine.go
index 7b36977..b18bddf 100644
--- a/recipe/google-app-engine/app-engine.go
+++ b/recipe/google-app-engine/app-engine.go
@@ -3,8 +3,8 @@
 package main
 
 import (
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 	"net/http"
 )
 
diff --git a/recipe/google-app-engine/app-managed.go b/recipe/google-app-engine/app-managed.go
index d6a41c8..1bb35d2 100644
--- a/recipe/google-app-engine/app-managed.go
+++ b/recipe/google-app-engine/app-managed.go
@@ -3,8 +3,8 @@
 package main
 
 import (
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 	"google.golang.org/appengine"
 	"net/http"
 	"runtime"
diff --git a/recipe/google-app-engine/app-standalone.go b/recipe/google-app-engine/app-standalone.go
index 92615b4..d8e7a0c 100644
--- a/recipe/google-app-engine/app-standalone.go
+++ b/recipe/google-app-engine/app-standalone.go
@@ -3,9 +3,9 @@
 package main
 
 import (
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func createMux() *echo.Echo {
diff --git a/recipe/google-app-engine/users.go b/recipe/google-app-engine/users.go
index b768718..20830ee 100644
--- a/recipe/google-app-engine/users.go
+++ b/recipe/google-app-engine/users.go
@@ -3,8 +3,8 @@ package main
 import (
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 type (
diff --git a/recipe/google-app-engine/welcome.go b/recipe/google-app-engine/welcome.go
index dc23f28..dd19083 100644
--- a/recipe/google-app-engine/welcome.go
+++ b/recipe/google-app-engine/welcome.go
@@ -5,7 +5,7 @@ import (
 	"io"
 	"net/http"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 )
 
 type (
diff --git a/recipe/graceful-shutdown/grace/server.go b/recipe/graceful-shutdown/grace/server.go
index 1eeab53..bd64cc7 100644
--- a/recipe/graceful-shutdown/grace/server.go
+++ b/recipe/graceful-shutdown/grace/server.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 
 	"github.com/facebookgo/grace/gracehttp"
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 )
 
 func main() {
diff --git a/recipe/graceful-shutdown/graceful/server.go b/recipe/graceful-shutdown/graceful/server.go
index e8bcc38..e6fea3b 100644
--- a/recipe/graceful-shutdown/graceful/server.go
+++ b/recipe/graceful-shutdown/graceful/server.go
@@ -4,8 +4,8 @@ import (
 	"net/http"
 	"time"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 	"gopkg.in/tylerb/graceful.v1"
 )
 
diff --git a/recipe/hello-world/server.go b/recipe/hello-world/server.go
index 0ba8287..187293c 100644
--- a/recipe/hello-world/server.go
+++ b/recipe/hello-world/server.go
@@ -3,9 +3,9 @@ package main
 import (
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func main() {
diff --git a/recipe/http2/server.go b/recipe/http2/server.go
index 9f66e46..82fb13c 100644
--- a/recipe/http2/server.go
+++ b/recipe/http2/server.go
@@ -5,9 +5,9 @@ import (
 	"net/http"
 	"time"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine"
+	"github.com/labstack/echo.v2/engine/standard"
 )
 
 func request(c echo.Context) error {
diff --git a/recipe/jsonp/server.go b/recipe/jsonp/server.go
index bee3327..bdd19d9 100644
--- a/recipe/jsonp/server.go
+++ b/recipe/jsonp/server.go
@@ -5,9 +5,9 @@ import (
 	"net/http"
 	"time"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func main() {
diff --git a/recipe/jwt/custom-claims/server.go b/recipe/jwt/custom-claims/server.go
index ecae46e..d44fcdc 100644
--- a/recipe/jwt/custom-claims/server.go
+++ b/recipe/jwt/custom-claims/server.go
@@ -5,9 +5,9 @@ import (
 	"time"
 
 	"github.com/dgrijalva/jwt-go"
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 // jwtCustomClaims are custom claims extending default ones.
diff --git a/recipe/jwt/map-claims/server.go b/recipe/jwt/map-claims/server.go
index cb2f25c..5cb2d88 100644
--- a/recipe/jwt/map-claims/server.go
+++ b/recipe/jwt/map-claims/server.go
@@ -5,9 +5,9 @@ import (
 	"time"
 
 	"github.com/dgrijalva/jwt-go"
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 func login(c echo.Context) error {
diff --git a/recipe/middleware/server.go b/recipe/middleware/server.go
index d8bf642..5bbedd2 100644
--- a/recipe/middleware/server.go
+++ b/recipe/middleware/server.go
@@ -6,8 +6,8 @@ import (
 	"sync"
 	"time"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 )
 
 type (
diff --git a/recipe/streaming-response/server.go b/recipe/streaming-response/server.go
index ab51c9d..4ea796b 100644
--- a/recipe/streaming-response/server.go
+++ b/recipe/streaming-response/server.go
@@ -6,8 +6,8 @@ import (
 
 	"encoding/json"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
 )
 
 type (
diff --git a/recipe/subdomains/server.go b/recipe/subdomains/server.go
index e16e2fb..6b83797 100644
--- a/recipe/subdomains/server.go
+++ b/recipe/subdomains/server.go
@@ -3,9 +3,9 @@ package main
 import (
 	"net/http"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 type (
diff --git a/recipe/websocket/gorilla/server.go b/recipe/websocket/gorilla/server.go
index a84f249..06863d6 100644
--- a/recipe/websocket/gorilla/server.go
+++ b/recipe/websocket/gorilla/server.go
@@ -5,11 +5,11 @@ import (
 	"log"
 	"net/http"
 
-	"github.com/labstack/echo"
+	"github.com/labstack/echo.v2"
 
 	"github.com/gorilla/websocket"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 )
 
 var (
diff --git a/recipe/websocket/net/server.go b/recipe/websocket/net/server.go
index f9deabf..f881aab 100644
--- a/recipe/websocket/net/server.go
+++ b/recipe/websocket/net/server.go
@@ -4,9 +4,9 @@ import (
 	"fmt"
 	"log"
 
-	"github.com/labstack/echo"
-	"github.com/labstack/echo/engine/standard"
-	"github.com/labstack/echo/middleware"
+	"github.com/labstack/echo.v2"
+	"github.com/labstack/echo.v2/engine/standard"
+	"github.com/labstack/echo.v2/middleware"
 	"golang.org/x/net/websocket"
 )
 
diff --git a/test/request.go b/test/request.go
index dd5571c..2fbb970 100644
--- a/test/request.go
+++ b/test/request.go
@@ -9,7 +9,7 @@ import (
 	"net/http"
 	"strings"
 
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2/engine"
 )
 
 type (
diff --git a/test/response.go b/test/response.go
index 0280952..defd251 100644
--- a/test/response.go
+++ b/test/response.go
@@ -6,7 +6,7 @@ import (
 	"net/http"
 	"net/http/httptest"
 
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/labstack/gommon/log"
 )
 
diff --git a/test/server.go b/test/server.go
index b6f2815..e26ad07 100644
--- a/test/server.go
+++ b/test/server.go
@@ -4,7 +4,7 @@ import (
 	"net/http"
 	"sync"
 
-	"github.com/labstack/echo/engine"
+	"github.com/labstack/echo.v2/engine"
 	"github.com/labstack/gommon/log"
 )
 
